/*----------------------------------------------------------------------*
 * Example sketch for Arduino Button Library by Jack Christensen        *
 *                                                                      *
 * The simplest example. Using a tactile button switch to turn          *
 * the Arduino's pin 13 LED on and off. Wire a switch from Arduino      *
 * pin 2 to ground.                                                     *
 *                                                                      *
 * This work is licensed under the Creative Commons Attribution-        *
 * ShareAlike 3.0 Unported License. To view a copy of this license,     *
 * visit http://creativecommons.org/licenses/by-sa/3.0/ or send a       *
 * letter to Creative Commons, 171 Second Street, Suite 300,            *
 * San Francisco, California, 94105, USA.                               *
 *----------------------------------------------------------------------*/
#include <SPI.h>

#include <pcmConfig.h>
#include <pcmRF.h>
#include <TMRpcm.h>

#include <SD.h>

#include "SD.h"
const int chipSelect = 4;
#include "TMRpcm.h"
#include "SPI.h"

TMRpcm tmrpcm;
#include <Button.h>        //https://github.com/JChristensen/Button

#define BUTTON_PIN 0       //Connect a tactile button switch (or something similar)
#define BUTTON_PIN2 1
#define BUTTON_PIN3 2
#define BUTTON_PIN4 3
#define BUTTON_PIN5 5
#define PULLUP true        //To keep things simple, we use the Arduino's internal pullup resistor.
#define INVERT true        //Since the pullup resistor will keep the pin high unless the
                           //switch is closed, this is negative logic, i.e. a high state
                           //means the button is NOT pressed. (Assuming a normally open switch.)
#define DEBOUNCE_MS 20     //A debounce time of 20 milliseconds usually works well for tactile button switches.
#define LED_PIN A5      //The standard Arduino "Pin 13" LED
#define LED_PIN2 A4
#define LED_PIN3 A3
#define LED_PIN4 A2
#define LED_PIN5 A1
Button myBtn(BUTTON_PIN, PULLUP, INVERT, DEBOUNCE_MS);//Declare the button
Button myBtn2(BUTTON_PIN2, PULLUP, INVERT, DEBOUNCE_MS);
Button myBtn3(BUTTON_PIN3, PULLUP, INVERT, DEBOUNCE_MS);
Button myBtn4(BUTTON_PIN4, PULLUP, INVERT, DEBOUNCE_MS);
Button myBtn5(BUTTON_PIN5, PULLUP, INVERT, DEBOUNCE_MS);

boolean ledState;          //A variable that keeps the current LED status
boolean ledState2;
boolean ledState3;
boolean ledState4;
boolean ledState5;
void setup(void)
{
    pinMode(LED_PIN, OUTPUT);    //Set the LED pin as an output
    pinMode(LED_PIN2, OUTPUT);
    pinMode(LED_PIN3, OUTPUT);
    pinMode(LED_PIN4, OUTPUT);
    pinMode(LED_PIN5, OUTPUT);  
    tmrpcm.speakerPin=9;
Serial.begin(9600);
if(!SD.begin(chipSelect))
{
  Serial.println("SD fail");
  return;
}
tmrpcm.setVolume(7);
}

void loop(void)
{
    myBtn.read();                    //Read the button

    if (myBtn.wasReleased()) {       //If the button was released, change the LED state
        ledState = !ledState;
        digitalWrite(LED_PIN, ledState);
     tmrpcm.play("0000.wav");
     delay(1500);
    }
    

     myBtn2.read();                    //Read the button

    if (myBtn2.wasReleased()) {       //If the button was released, change the LED state
        ledState2 = !ledState2;
        digitalWrite(LED_PIN2, ledState2);
        tmrpcm.play("0002.wav");
delay(1500);
    }

   myBtn3.read();                    //Read the button

    if (myBtn3.wasReleased()) {       //If the button was released, change the LED state
        ledState3 = !ledState3;
        digitalWrite(LED_PIN3, ledState3);
        tmrpcm.play("0003.wav");
delay(1500);
    }


       myBtn4.read();                    //Read the button

    if (myBtn4.wasReleased()) {       //If the button was released, change the LED state
        ledState4 = !ledState4;
        digitalWrite(LED_PIN4, ledState4);
        tmrpcm.play("0004.wav");
        Serial.print("4");
delay(1500);
    }

       myBtn5.read();                    //Read the button

    if (myBtn5.wasReleased()) {       //If the button was released, change the LED state
        ledState5 = !ledState5;
        digitalWrite(LED_PIN5, ledState5);
        tmrpcm.play("0005.wav");
        Serial.print("5");
delay(1500);
    }




    
}


